# Printscan server
## Version 3.0

This repository contains files used to set up our printscan server on a freshly installed Armbian. Target is Bullseye.

### Introduction
(see wiki for need and concept explanation)

Version 3.0 implementation works roughly as follows:
##### SBC
* the Armbian-based device is connected to local network, and an all-in-one printer is connected to it via USB;
* SANE and CUPS services are installed and running on the device;
* CUPS is configured to provide a remote printer to network;
* SANE is configured to provide network scan to a specific host only.

##### Applicative container
* this specific host is an applicative container running [scanservjs](https://github.com/sbs20/scanservjs);
* it is configured to use the scanner provided by the SBC.

### Files
Files in this repository only cover the SBC setup.
#### Installation
* `setup.sh` is a script automating the installation and configuration of required software
